Commit Graph

39 Commits (main)

Author SHA1 Message Date
Matt Jankowski 64b8ba36bb
Add `bin/dev` script to launch foreman (#28242) 2024-03-02 18:31:43 +00:00
Filippo Giunchedi 6e55ff9643
Change Vagrant to install Node 20 (#28100)
Co-authored-by: Filippo Giunchedi <filippo@debian.org>
2023-11-30 10:46:06 +00:00
Renaud Chaput 757d7c73c0
Upgrade to Yarn 4, remove support for Node 16 (#27073) 2023-11-08 10:57:21 +00:00
jsgoldstein 4d9186a48c
Add search tests (#26703) 2023-09-08 16:17:55 +02:00
jsgoldstein b91724fb9d
Add elastic search installation into Vagrantfile (#26512) 2023-08-23 15:46:14 +02:00
Jonathan Hawkes 98a9347dd7
Update Ubuntu, Node versions, dependencies (#22075) 2022-12-07 00:13:14 +01:00
Yamagishi Kazutoshi 298491a816
Remove protobuf dependencies (#17539) 2022-02-14 16:08:02 +01:00
David Sterry a7e2e32d92
replace keys.gnupg.net with curl from rvm.io (#16568) 2021-10-14 20:59:41 +02:00
Shlee 229f5d1681
NodeJS 14 support - circleci/docker/.nvmrc (#16163)
* Update config.yml

* Update Dockerfile

* Update .nvmrc

* Update Dockerfile

* NodeJS 10 is EOL.

* Update package.json

* Update README.md

* Update Vagrantfile

* Update Dockerfile

* Update Dockerfile
2021-08-10 22:56:13 +02:00
chandrn7 2840f995d5
updated node version in Vagrantfile (#16230) 2021-05-12 23:19:31 +02:00
chandrn7 eb23f98592
Fixed issue with .env.vagrant not setting RAILS_ENV variable (#15709)
* Fixed issue with .env.vagrant not setting RAILS_ENV variable

* made change to fix RAILS_ENV issue in Vagrantfile instead of .env.vagrant
2021-02-11 22:58:39 +01:00
fuyu 51f2315248
Update Vagrant box to Bionic (#13384) 2020-04-04 15:47:48 +02:00
Даниил Пронин 2f978abd87
Fix Node version in Vagrant (#13008) 2020-01-30 12:05:56 +01:00
Armand Fardeau b6bc98c480 Add clearer error when/if gpg fails to install (#10228) 2019-03-10 16:00:22 +01:00
Fred Wenzel 9ba87d1f8c Install both rvm gpg keys in vagrant (#9670) 2018-12-31 05:08:50 +01:00
trevDev() 8971bb8cf2 update vagrant configs (#8706) 2018-09-16 14:49:15 -04:00
mimikun 9ae53ad59e Fix nodejs 8.x install in vagrant (#8105) 2018-07-31 14:38:31 +02:00
Daniel King 258dcb849f Upgrade Vagrant box to Xenial (#6421)
* upgrade vagrant box to xenial

this allows the redis version to be upgraded to support the new redis
features used in the activity tracker

* add libpam0g package to vagrant box

this is required for native extensions of gems to build after the
addition of PAM support was added in #5303
2018-02-04 06:03:01 +01:00
Daniel King 2cff744cdf fix ruby 2.5 rvm install in vagrant (#6396)
RVM has a known issue with installing Ruby 2.5 on the version of Ubuntu
the Vagrant box is using: https://github.com/rvm/rvm/issues/4291

This bug was preventing any gem installs in the vagrant box
2018-01-31 21:52:58 +01:00
Yamagishi Kazutoshi 7f4375822a Install libidn11-dev in Vagrant (#4238) 2017-07-18 00:31:43 +02:00
nullkal 007ab330e6 Use charlock_holmes instead of nkf at FetchLinkCardService (#4080)
* Specs for language detection

* Use CharlockHolmes instead of NKF

* Correct mistakes

* Correct style

* Set hint_enc instead of falling back and strip_tags

* Improve specs

* Add dependencies
2017-07-08 22:44:31 +02:00
nightpool 3e8e9c8ae4 Use the stable RVM installer (#3901)
as mentioned by ElvenSpellmaker here: https://github.com/rvm/rvm/issues/4068

Adds a workaround for the issue mentioned by @abcang here: https://github.com/tootsuite/mastodon/pull/3897#issuecomment-310436668 and makes sure that we're using the stable installer to install the stable version.
2017-06-22 23:28:52 +02:00
Charlotte Fields 7bc1805827 fixed vagrantfile (#3897) 2017-06-22 18:35:27 +02:00
Akihiko Odaki d5cabfe5c6 Use CLD3 (#2949)
Compact Language Detector v3 (CLD3) is the successor of CLD2, which was
used in the previous implementation. CLD3 includes improvements since CLD2,
and supports newer compilers. On the other hand, it has additional
requirements and cld3-ruby, the FFI of CLD3 for Ruby, is still new and may
be still inmature.

Though CLD3 is named after CLD2, it is implemented with a neural network
model, different from the old implementation, which is based on a Naïve
Bayesian classifier.

CLD3 supports newer compilers, such as GCC 6. CLD2 is not compatible with
GCC 6 because it assigns negative values to varibales typed unsigned.
(see internal/cld_generated_cjk_uni_prop_80.cc) The support for GCC 6 and
newer compilers are essential today, when some server operating system
such as Ubuntu Server 16.10 has GCC 6 by default.

On the one hand, CLD3 requires C++11 support. Environments with old
compilers such as Ubuntu Server 14.04 needs to update the system or install
a newer compiler.

CLD3 needs protocol buffers as a new dependency. However,it is not
considered problematic because major server operating systems, CentOS and
Ubuntu Server provide them.

The FFI cld3-ruby was written by me (Akihiko Odaki) for use in Mastodon.
It is still new and may be inmature, but confirmed to pass existing tests.
2017-05-09 19:58:03 +02:00
abcang bea117a4b6 changed to run foreman with vagrant (#2742)
* changed to run foreman with vagrant

* change port specification method and database setting

* delete changes of environment variable related code

* hard coated the port
2017-05-04 04:39:50 +02:00
Colin Mitchell 908b96a370 Make vagrant HTTP port configurable (#2510) 2017-05-04 04:36:36 +02:00
kawax dd9d57300b Vagrantfile: node 6 (#2752) 2017-05-03 16:59:51 +02:00
Effy Elden a9a4710fe1 Alter Vagrantfile to use RVM for Ruby installation (#2346) 2017-04-23 14:21:20 +02:00
Effy Elden cc83ee60fb Export environment variables from .env.vagrant before running rails commands in Vagrant provisioning (#2343) 2017-04-23 14:21:09 +02:00
Naouak af7d02da5d Fix issue with line return in file (#1947)
Fix #1940
2017-04-21 20:07:47 +02:00
happycoloredbanana e22f9819bb NFS for shared folder requires a private_network (#1263) 2017-04-17 10:40:14 +02:00
Kazuhiro NISHIYAMA 66ea015a01 Remove current directory from PATH (#1779) 2017-04-14 19:10:38 +02:00
Gavin Mogan c35bda0551 fix(*): ruby version was updated in .ruby-version but not Vagrant. Make them match (#1502) 2017-04-11 15:06:07 +02:00
Markus Amalthea Magnuson 7596de1aec Add a couple of network performance tweaks to Vagrantfile. 2017-04-06 22:34:59 +02:00
James Moore c19e0f1212 Use NFS for the shared folder because it dramatically decreases latency for git operations. 2017-04-05 11:53:39 -07:00
vjackson725 91dc21c469 fix Vagrantfile so that the correct ruby is installed
Prior to this commit, the vagrantfile installs ruby 2.3.3. Due to commit mastodon@7951e7f, this no longer works.

Change the provision scrip so that 2.3.1 is installed via rbenv. Note this drastically increases provision time.
2017-01-12 23:20:55 +11:00
vjackson725 db3d5d811c Fix Vagrantfile to include yarn
The current Vagrantfile fails to build upon provisioning, as it lacks yarn.

Change the Vagrantfile to add the yarn repository, and install yarn.
2017-01-08 12:38:04 +11:00
Effy Elden 46fb634c79 Improve Vagrantfile, load environment variables from .env.vagrant, always forward localhost:3000 2017-01-08 01:28:49 +11:00
Effy Elden f1289ca3c0 Add Vagrant development environment support 2017-01-07 23:22:24 +11:00